<?php
/**
 * Customizer Partial Functions
 *
 * @package foodland
 * @subpackage Foodland Pro
 * @since Foodland 1.0
 */

if ( ! function_exists( 'foodland_customize_partial_todays_special_title' ) ) :
	/**
	 * Render the todays special title for the selective refresh partial.
	 *
	 * @since Foodland 1.0
	 *
	 * @return string
	 */
	function foodland_customize_partial_todays_special_title() {
		$options = foodland_get_theme_options();
		return $options['todays_special_title'];
	}
endif;

if ( ! function_exists( 'foodland_customize_partial_front_page_title' ) ) :
	/**
	 * Render the front page title for the selective refresh partial.
	 *
	 * @since Foodland 1.0
	 *
	 * @return string
	 */
	function foodland_customize_partial_front_page_title() {
		$options = foodland_get_theme_options();
		return $options['front_page_title'];
	}
endif;

if ( ! function_exists( 'foodland_customize_partial_sfaff_member_title' ) ) :
	/**
	 * Render the staff member title for the selective refresh partial.
	 *
	 * @since Foodland 1.0
	 *
	 * @return string
	 */
	function foodland_customize_partial_sfaff_member_title() {
		$options = foodland_get_theme_options();
		return $options['sfaff_member_title'];
	}
endif;