<?php
/**
 * The template for displaying the Team Members 
 *
 * @package Theme Palace
 * @subpackage Foodland Pro
 * @since Foodland 1.0 
 */

if( !function_exists( 'foodland_team_members' ) ) :
/**
 * Add staff member section.
 *
 * @uses action hook foodland_after_content.
 *
 * @since Foodland 1.0
 */
function foodland_team_members() {
	global $post, $wp_query;
	//foodland_flush_transients();
	// get data value from options

  $options        = foodland_get_theme_options();
  $enable_team_on = $options['staff_member_option_on'];
  

	// Get Page ID outside Loop
	$page_id = $wp_query->get_queried_object_id();

	// Front page displays in Reading Settings
	$page_on_front = get_option('page_on_front') ;

	$page_for_posts = get_option('page_for_posts'); 
 
	if ( $enable_team_on == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0  ) && $enable_team_on == 'homepage' ) ) {
        
		if( ( !$foodland_team_members = get_transient( 'foodland_team_members' ) ) ) {
			echo '<!-- refreshing cache -->';

            $title                = $options['sfaff_member_title'];
            $staff_section_select = $options['staff_member_type'];
            $layout               = $options['sfaff_member_layout'];

            if ( $staff_section_select == 'demo-staff-member' ){
                $class = 'demo-staff-member four-column ';
            }
            else{
                $class = 'featured-image-staff-member '. $layout;
            }
		
            $foodland_team_members = '
            <section id="team-member" class="'. esc_attr( $class ).'">
                <div class="wrapper clear">';

                //Check for the title option  in customizer
                if( isset( $title ) && !empty( $title ) ) {
                    $foodland_team_members .= '
                    <h2 class="upercase">'.esc_html( $title ).'</h2>';
                }
            $foodland_team_members .= '
                   
                    <div class="team-block">';

                // Check if demo content is selected
                if ( ( $staff_section_select == 'demo-staff-member') && function_exists( 'foodland_staff_member_demo') ){
                    $foodland_team_members .= foodland_staff_member_demo();
                }

                // Check if Featured Image Content is selected
                if ( ( $staff_section_select == 'featured-image-staff-member') && function_exists( 'foodland_featured_image_content') ){
                    $foodland_team_members .= foodland_featured_image_content( $options );
                }

            $foodland_team_members .= '          
                    </div><!-- .team-block -->
                </div><!-- .wrapper -->
            </section><!-- #team-member -->';
      
        set_transient( 'foodland_team_members', $foodland_team_members, 86940 );
        }
        echo $foodland_team_members;
    }
}
endif;
add_action( 'foodland_after_content', 'foodland_team_members', 50);

if ( ! function_exists( 'foodland_staff_member_demo' ) ) :
/**
 * This function to display foodland staff members demo
 *
 * @since Foodland 1.0
 *
 */
function foodland_staff_member_demo( ) {

    $team_members_demo = '
        <!-- start single effect -->
        <div class="team-member">
            <figure class="member-img hover-on">
                <a href="#">
                    <div class="img">
                        <img src="'.get_template_directory_uri().'/images/staff-member.jpg" alt="' . __( 'img', 'foodland' ) . '">
                    </div>
                    <figcaption class="view-caption">
                        <h3 class="upercase"><span class="post-title">' . __( 'HEAD CHEF', 'foodland' ) . '</span><br>' . __( 'LYAN BLAC', 'foodland' ) . '</h3>
                    </figcaption>
                </a> 
            </figure>
        </div><!-- .team-member-- >

        <!-- start single effect -->
        <div class="team-member">
            <figure class="member-img hover-on">
                <a href="#">
                    <div class="img"><img src="'.get_template_directory_uri().'/images/staff-member.jpg" alt="' . __( 'img', 'foodland' ) . '">
                    </div>
                    <figcaption class="view-caption">
                        <h3 class="upercase"><span class="post-title">' . __( 'HEAD CHEF', 'foodland' ) . '</span><br>' . __( 'LYAN BLAC', 'foodland' ) . '</h3>
                    </figcaption>
                </a> 
            </figure>
        </div><!-- .team-member-- >

        <!-- start single effect -->
        <div class="team-member">
            <figure class="member-img hover-on">
                <a href="#">
                    <div class="img"><img src="'.get_template_directory_uri().'/images/staff-member.jpg" alt="' . __( 'img', 'foodland' ) . '">
                    </div>
                    <figcaption class="view-caption">
                        <h3 class="upercase"><span class="post-title">' . __( 'HEAD CHEF', 'foodland' ) . '</span><br>' . __( 'LYAN BLAC', 'foodland' ) . '</h3>
                    </figcaption>
                </a> 
            </figure>
        </div><!-- .team-member-- >

        <!-- start single effect -->
        <div class="team-member">
            <figure class="member-img hover-on">
                <a href="#">
                    <div class="img"><img src="'.get_template_directory_uri().'/images/staff-member.jpg" alt="' . __( 'img', 'foodland' ) . '">
                    </div>
                    <figcaption class="view-caption">
                        <h3 class="upercase"><span class="post-title">' . __( 'HEAD CHEF', 'foodland' ) . '</span><br>' . __( 'LYAN BLAC', 'foodland' ) . '</h3>
                    </figcaption>
                </a> 
            </figure>
        </div><!-- .team-member-- >';

    return $team_members_demo;
}
endif;

if ( ! function_exists( 'foodland_featured_image_content' ) ) :
/**
 * This function to display foodland Featured Image Content
 *
 * @since Foodland 1.0
 *
 */
function foodland_featured_image_content( $options ) {
    // no of staff member to show
    $no_of_staff    = $options['sfaff_member_no_of_staff'];

    // initialize an empty variable
    $foodland_image_slider = '';

    for ( $i = 1; $i <= $no_of_staff; $i++ ) {

        //Check image is not empty
        if ( !empty ( $options[ 'staff_member_image_'. $i ] ) ) {

            if( !empty( $options[ 'staff_member_name_'. $i ] ) ){              
                $staff_position = !empty ( $options[ 'staff_member_position_'.$i ] ) ? '<span class="post-title">'. esc_html( $options[ 'staff_member_position_'.$i ] ).'</span><br>' : '';
         
                $staff_name  = '<h3 class="upercase">'.$staff_position. esc_html( $options[ 'staff_member_name_'. $i ] ).'</h3>';

                $staff_caption = '<figcaption class="view-caption">'. $staff_name.'</figcaption>';         
            }
            else{
                $staff_caption = '';
            }

            //check link
            if( !empty( $options[ 'staff_member_link_' . $i ] ) ){
                $link = $options[ 'staff_member_link_' . $i ];
            } else {
                $link = '#';
            }

            if( !empty( $options['staff_member_link_target_'.$i ] ) ){
                $target = '_blank';
            } else {
                $target = '_self';
            }

            //get image from customizer options
            $image_data = wp_get_attachment_image_src( $options[ 'staff_member_image_'.$i ], 'staff-member-image' );
            $image_src  = $image_data['0']; // image source
            $image_alt  = !empty( $options[ 'staff_member_name_'. $i ] ) ? $options[ 'staff_member_name_'. $i ] : __( 'staff_name' , 'foodland' ); // alt text
            
            // $link is escaped previously 
            $before_caption =   '<a href="' . esc_url( $link ) . '" target="' . esc_attr( $target ) . '">
                                    <div class="img"><img src="' . esc_url( $image_src ) . '" alt="' . esc_attr( $image_alt ). '">
                                    </div>';
            $after_caption = '</a>';

            $foodland_image_slider .= '
                <div class="team-member">
                    <figure class="member-img hover-on">' . $before_caption . $staff_caption . $after_caption . '</figure>
                </div><!-- .team-member-->';
        }

    }
    return $foodland_image_slider;
}
endif;
