<?php
/**
 * The template used for displaying product content in nova.php
 *
 * @package Theme Palace
 * @subpackage Foodland Pro
 * @since Foodland 1.0 
 */
// get theme options
 $options = foodland_get_theme_options();
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="single-row product-image product-detail clear">
        <div class="one-half">
            <div class="pdt-image">
              <?php do_action( 'foodland_before_nova_entry_container' ); ?>
            </div><!-- .pdt-image -->
        </div><!-- .one-half-->
        <div class="one-half">
            <div class="product-info active">
                <div class="pdt-name">
                    <?php the_title( '<h2 class="upercase item-name">', '</h2>' ); 
                    
                        if( function_exists( 'foodland_get_menu_item_ratings' ) ){
                            $rating = get_post_meta ( $post->ID, 'menu_rating', true );
                            $menu_item_rating = foodland_get_menu_item_ratings( $rating ); // get menu item rating 
                            echo $menu_item_rating; 
                        } 
                        the_excerpt(); ?>
                </div><!-- .pdt-name -->
                <div class="pdt-cost">
                <?php $nova_price = get_post_meta ( $post->ID, 'nova_price', true ); // get menu item price

                    if( !empty( $nova_price ) ){
                        echo '<p class="dollar-cost">'. esc_html( $nova_price ) .'</p>';
                    }

                    $button_text = $options['link_button_text']; // get button text
                    if( !empty( $button_text ) ){
                        echo '<a class="rounded-btn upercase" href="'. esc_url( get_the_permalink() ) .'">'. esc_html( $button_text ) .'</a>';
                    } 
                ?>
                </div><!-- .pdt-cost -->
            </div><!--  .product-info -->
        </div><!-- .one-half -->
    </div><!-- .product-image -->
</article>